summaryrefslogtreecommitdiffstats
path: root/office/akonadi-googledata
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-13 01:00:29 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:29 +0200
commit139aca38935fdb1c36ae37d104ecf5e4348d605e (patch)
tree05fc35432e7df9546091b51607669d2aa0ff0665 /office/akonadi-googledata
parenta9006feb8e2054f822b8461795a50319d0f56bee (diff)
downloadslackbuilds-139aca38935fdb1c36ae37d104ecf5e4348d605e.tar.gz
slackbuilds-139aca38935fdb1c36ae37d104ecf5e4348d605e.tar.xz
office/akonadi-googledata: Added to 13.0 repository
Diffstat (limited to 'office/akonadi-googledata')
-rw-r--r--office/akonadi-googledata/README2
-rw-r--r--office/akonadi-googledata/akonadi-googledata.SlackBuild75
-rw-r--r--office/akonadi-googledata/akonadi-googledata.info10
-rw-r--r--office/akonadi-googledata/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/office/akonadi-googledata/README b/office/akonadi-googledata/README
new file mode 100644
index 0000000000..a7f65f7889
--- /dev/null
+++ b/office/akonadi-googledata/README
@@ -0,0 +1,2 @@
+akonadi-googledata is a resource plugin for akonadi to connect
+to Google calendar and contacts. This requires libgcal.
diff --git a/office/akonadi-googledata/akonadi-googledata.SlackBuild b/office/akonadi-googledata/akonadi-googledata.SlackBuild
new file mode 100644
index 0000000000..437ebad3c8
--- /dev/null
+++ b/office/akonadi-googledata/akonadi-googledata.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for akonadi-googledata
+
+# Written by Vincent Batts
+
+PRGNAM=akonadi-googledata
+VERSION=${VERSION:-1.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README ChangeLog COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/akonadi-googledata/akonadi-googledata.info b/office/akonadi-googledata/akonadi-googledata.info
new file mode 100644
index 0000000000..a7be5dfacc
--- /dev/null
+++ b/office/akonadi-googledata/akonadi-googledata.info
@@ -0,0 +1,10 @@
+PRGNAM="akonadi-googledata"
+VERSION="1.0.1"
+HOMEPAGE="http://code.google.com/p/libgcal/"
+DOWNLOAD="http://libgcal.googlecode.com/files/akonadi-googledata-1.0.1.tar.bz2"
+MD5SUM="d6150a30587bf05fc2ff909a5f4f8fd7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"
diff --git a/office/akonadi-googledata/slack-desc b/office/akonadi-googledata/slack-desc
new file mode 100644
index 0000000000..7e1e783e86
--- /dev/null
+++ b/office/akonadi-googledata/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+akonadi-googledata: akonadi-googledata (google resource for akonadi)
+akonadi-googledata:
+akonadi-googledata: akonadi-googledata is a resource plugin for akonadi
+akonadi-googledata: to connect to Google calendar and contacts.
+akonadi-googledata:
+akonadi-googledata: homepage: http://code.google.com/p/libgcal/
+akonadi-googledata:
+akonadi-googledata:
+akonadi-googledata:
+akonadi-googledata:
+akonadi-googledata: